Examples of error messages from API When accessing API, errors may be made. These errors are reported by the system. In this article, we will analyse the main types of errors. false W3sidGl0bGUiOiJBUEkiLCJ1cmwiOiIvZGV2ZWxvcGVycy9hcGkvIn0seyJ0aXRsZSI6IlBlY3VsaWFyaXRpZXMgaW4gd29ya2luZyB3aXRoIEFQSSIsInVybCI6Ii9kZXZlbG9wZXJzL2FwaS9hcGktZmVhdHVyZXMvIn1d API /developers/api/ ["developers","API"] ["developers","API","Peculiarities in working with API"] developers

Examples of error messages from API

When accessing API, errors may be made. These errors are reported by the system. In this article, we will analyse the main types of errors.

When accessing API, errors may be made. These errors are reported by the system. The following types of errors are possible.

1) Unspecified apiKey:

{ 
 "errorMsg": "\u0022apiKey\u0022 is missing.", 
 "success": false 
}

2) Invalid apiKey:

{ 
 "errorMsg": "Wrong \u0022apiKey\u0022 value.", 
 "success": false 
}

3) API access is limited by IP.

{
 "success": false,
 "errorMsg": "Forbidden"
}

4) System account not found

{
 "success": false,
 "errorMsg": "Account does not exist."
}

5) Server error

{
 "success": false,
 "errorMsg": "Service overloaded."
}

or

{
 "success": false,
 "errorMsg": "Application error"
}

6) Incorrect data in request parameters

{
 "success": false,
 "errorMsg": "Invalid request: Errors in the input parameters",
 "errors": {
 "children[deliveryType]": "This value is not valid."
 }
}

7) Incorrect data in some elements of the incoming data array (for example, an order array)

{
 "success": false,
 "uploadedOrders": [],
 "errorMsg": "Orders are loaded with errors",
 "errors": [
 "Order with externalId=4414145 already exists.",
 "OrderType with code 'some-code' not found. Order externalId=44141452"
 ]
}
Thank you for your feedback.
Was this article helpful?
No
  • The recommendations did not help
  • There is no answer to my question
  • The text is difficult to understand
  • I do not like the described functionality
Yes
Previous article
Rules for working with API
Principles of working with API.
Next article
Delivery data in API
Let's talk about the structure of delivery data in API, and also take a closer look at how the methods of interaction with integrated deliveries work.